fi:
  SilverStripe\Admin\LeftAndMain:
    VersionUnknown: tuntematon
  SilverStripe\AssetAdmin\Forms\UploadField:
    Dimensions: Mitat
    EDIT: Muokkaa
    EDITINFO: 'Muokkaa tätä tiedostoa'
    REMOVE: Poista
  SilverStripe\Control\ChangePasswordEmail_ss:
    CHANGEPASSWORDFOREMAIL: 'Salasana tilille, jonka sähköposti on {email}, on vaihdettu. Jos et itse vaihtanut salasanaa, ole hyvä ja vaihda salasana klikkaamalla oheista linkkiä'
    CHANGEPASSWORDTEXT1: 'Vaihdoit salasanasi osoitteelle'
    CHANGEPASSWORDTEXT3: 'Vaihda salasana'
    HELLO: Hei
  SilverStripe\Control\Email\ForgotPasswordEmail_ss:
    HELLO: Hei
    TEXT1: 'Tässä sinun'
    TEXT2: 'salasanasi palautuslinkki'
    TEXT3: henkilölle
  SilverStripe\Control\RequestProcessor:
    INVALID_REQUEST: 'Pyyntö on virheellinen'
    REQUEST_ABORTED: 'Pyyntö keskeytetty'
  SilverStripe\Forms\CheckboxField:
    NOANSWER: Ei
    YESANSWER: Kyllä
  SilverStripe\Forms\CheckboxSetField_ss:
    NOOPTIONSAVAILABLE: 'Ei vaihtoehtoja tarjolla'
  SilverStripe\Forms\ConfirmedPasswordField:
    ATLEAST: 'Salasanan on oltava vähintään {min} merkkiä pitkä.'
    BETWEEN: 'Salasanan on oltava väh. {min} ja enintään {max} merkkiä pitkä.'
    CURRENT_PASSWORD_ERROR: 'Syöttämäsi salasana ei ole oikein.'
    CURRENT_PASSWORD_MISSING: 'Sinun on syötettävä nykyinen salasana.'
    LOGGED_IN_ERROR: 'Sinun täytyy olla kirjautuneena vaihtaaksesi salasanasi.'
    MAXIMUM: 'Salasana voi olla enintään {max} merkkiä pitkä.'
    SHOWONCLICKTITLE: 'Vaihda salasana'
  SilverStripe\Forms\DateField:
    NOTSET: 'ei asetettu'
    TODAY: tänään
    VALIDDATEFORMAT2: 'Ole hyvä ja kirjaa päivämäärä sallitussa muodossa ({format})'
    VALIDDATEMAXDATE: 'Päivämäärän on oltava vanhempi tai sovittava asetettuun maksimiin ({date})'
    VALIDDATEMINDATE: 'Päivämäärän on oltava uudempi tai sovittava asetettuun minimiin ({date})'
  SilverStripe\Forms\DatetimeField:
    VALIDDATEMAXDATETIME: 'Päivämäärän on oltava vanhempi tai sovittava sallittuun päivämäärän ja ajan maksimiin ({date})'
    VALIDDATETIMEFORMAT: 'Ole hyvä ja kirjaa päivämäärä sallitussa muodossa ({format})'
    VALIDDATETIMEMINDATE: 'Päivämäärän on oltava uudempi tai sovittava asetettuun päivämäärän ja ajan minimiarvoon  ({date})'
  SilverStripe\Forms\DropdownField:
    CHOOSE: (Valitse)
    SOURCE_VALIDATION: 'Valitse arvo pudotusvalikosta. {value} ei kelpaa'
  SilverStripe\Forms\EmailField:
    VALIDATION: 'Anna sähköpostiosoite, ole hyvä.'
  SilverStripe\Forms\FileUploadReceiver:
    FIELDNOTSET: 'Tiedostoinformaatiota ei löytynyt'
  SilverStripe\Forms\Form:
    BAD_METHOD: 'Tämä lomake vaatii {method} lähetyksen'
    CSRF_EXPIRED_MESSAGE: 'Istuntosi on umpeutunut. Lähetä lomake uudelleen.'
    CSRF_FAILED_MESSAGE: 'On ilmeisesti tapahtunut tekninen virhe. Klikkaa selaimesi Takaisin-nappia, päivitä sivu ja yritä uudelleen.'
    FIELDISREQUIRED: '{name} on pakollinen'
    VALIDATIONPASSWORDSDONTMATCH: 'Salasanat eivät täsmää'
    VALIDATIONPASSWORDSNOTEMPTY: 'Salasana ei voi olla tyhjä'
    VALIDATIONSTRONGPASSWORD: 'Salasanassa on oltava vähintään yksi numero ja yksi kirjain'
    VALIDATOR: Tarkistin
    VALIDCURRENCY: 'Ole hyvä ja valitse voimassa oleva valuutta'
  SilverStripe\Forms\FormField:
    EXAMPLE: 'esim. {format}'
    NONE: 'Ei yhtään'
  SilverStripe\Forms\FormScaffolder:
    TABMAIN: Yleiset
  SilverStripe\Forms\GridField\GridField:
    Add: 'Lisää {name}'
    CSVEXPORT: 'Vie CSV:nä'
    CSVIMPORT: 'Tuo CSV'
    Filter: Suodatin
    FilterBy: 'Suodata &raquo;'
    Find: Etsi
    LinkExisting: 'Linkitä olemassaoleva'
    NewRecord: 'Uusi {type}'
    NoItemsFound: 'Ei kohteita'
    OpenFilter: 'Avaa haku ja suodin'
    PRINTEDAT: Tulostettu
    PRINTEDBY: Tulostaja
    PlaceHolder: 'Etsi {type}'
    PlaceHolderWithLabels: 'Etsi {type} &raquo; {name}'
    Print: Tulosta
    RelationSearch: Relaatiohaku
    ResetFilter: Nollaa
  SilverStripe\Forms\GridField\GridFieldDeleteAction:
    Delete: Poista
    DeletePermissionsFailure: 'Ei oikeuksia poistamiseen'
    EditPermissionsFailure: 'Ei oikeuksia purkaa linkitystä tietueeseen'
    UnlinkRelation: 'Pura linkitys'
  SilverStripe\Forms\GridField\GridFieldDetailForm:
    CancelBtn: Peruuta
    Create: Luo
    Delete: Poista
    DeletePermissionsFailure: 'Ei oikeuksia poistamiseen'
    Deleted: 'Poistettiin {type} {name}'
    Save: Tallenna
    Saved: 'Tallennettu: {name} {link}'
  SilverStripe\Forms\GridField\GridFieldEditButton:
    EDIT: Muokkaa
  SilverStripe\Forms\GridField\GridFieldFilterHeader:
    Search: 'Hae "{name}"'
    SearchFormFaliure: 'Hakulomaketta ei voitu luoda'
    Search_Default: Haku
  SilverStripe\Forms\GridField\GridFieldGroupDeleteAction:
    UnlinkSelfFailure: 'Et voi siirtää itseäsi pois tästä ryhmästä: menettäisit pääkäyttäjän oikeudet'
  SilverStripe\Forms\GridField\GridFieldPaginator:
    OF: /
    Page: Sivu
    View: Näytä
  SilverStripe\Forms\GridField\GridFieldViewButton:
    VIEW: Näkymä
  SilverStripe\Forms\MoneyField:
    FIELDLABELAMOUNT: Määrä
    FIELDLABELCURRENCY: Valuutta
    INVALID_CURRENCY: '{currency} ei ole sallittujen valuuttojen listalla'
  SilverStripe\Forms\MultiSelectField:
    SOURCE_VALIDATION: 'Valitse arvo annetuista vaihtoehdoista. {value} ei ole kelvollinen'
  SilverStripe\Forms\NullableField:
    IsNullLabel: 'On nolla'
  SilverStripe\Forms\NumericField:
    VALIDATION: "'{value}' ei ole numero: tähän kenttään hyväksytään vain numeroita"
  SilverStripe\Forms\TextField:
    VALIDATEMAXLENGTH: '{name}-arvo ei voi ylittää {maxLength} merkin määrää.'
  SilverStripe\Forms\TimeField:
    VALIDATEFORMAT: 'Ole hyvä ja kirjaa päivämäärä sallitussa muodossa ({format})'
  SilverStripe\Forms\UrlField:
    INVALID: 'URL-osoitteen on oltava kelvollinen'
  SilverStripe\ORM\DataObject:
    FILTER_WITHINRANGE_FROM: Alkaen
    FILTER_WITHINRANGE_TO: Päättyen
    PLURALNAME: Dataobjektit
    PLURALS:
      one: Dataobjekti
      other: '{count} Dataobjektia'
    SINGULARNAME: Dataobjekti
  SilverStripe\ORM\FieldType\DBBoolean:
    ANY: Yhtään
    NOANSWER: Ei
    YESANSWER: Kyllä
  SilverStripe\ORM\FieldType\DBDate:
    DAYS_SHORT_PLURALS:
      one: '{count} päivä'
      other: '{count} päivää'
    HOURS_SHORT_PLURALS:
      one: '{count} tunti'
      other: '{count} tuntia'
    LessThanMinuteAgo: 'alle minuutti'
    MINUTES_SHORT_PLURALS:
      one: '{count} minuutti'
      other: '{count} minuuttia'
    MONTHS_SHORT_PLURALS:
      one: '{count} kuukausi'
      other: '{count} kuukautta'
    SECONDS_SHORT_PLURALS:
      one: '{count} sekunti'
      other: '{count} sekuntia'
    TIMEDIFFAGO: '{difference} sitten'
    TIMEDIFFIN: '&raquo; {difference}'
    YEARS_SHORT_PLURALS:
      one: '{count} vuosi'
      other: '{count} vuotta'
  SilverStripe\ORM\FieldType\DBEnum:
    ANY: Yhtään
  SilverStripe\ORM\FieldType\DBForeignKey:
    DROPDOWN_THRESHOLD_FALLBACK_MESSAGE: 'Liian monta samaan liittyvää objektia: oletuskenttä käytössä'
  SilverStripe\ORM\Hierarchy:
    LIMITED_TITLE: 'Liian monta lapsiobjektia ({count}}'
  SilverStripe\ORM\Hierarchy\Hierarchy:
    InfiniteLoopNotAllowed: '"{type}" -hierarkiasta löytyi loputon silmukka. Ole hyvä ja muuta isäntää korjataksesi ongelman.'
    LIMITED_TITLE: 'Liian monta lapsiobjektia ({count}}'
  SilverStripe\ORM\Search\SearchContextForm:
    OpenFilter: 'Avaa haku ja suodin'
  SilverStripe\ORM\ValidationException:
    DEFAULT_ERROR: Validointivirhe
  SilverStripe\Security\BasicAuth:
    ENTERINFO: 'Anna käyttäjänimi ja salasana'
    ERRORNOTADMIN: 'Tämä käyttäjä ei ole ylläpitäjä'
    ERRORNOTREC: 'Tätä käyttäjänimeä/salasanaa ei tunnistettu.'
  SilverStripe\Security\CMSMemberLoginForm:
    PASSWORDEXPIRED: '<p>Salasanasi on vanhentunut. <a target="_top" href="{link}">Valitse uusi.</a></p>'
  SilverStripe\Security\CMSSecurity:
    INVALIDUSER: '<p>Virheellinen käyttäjä. <a target="_top" href="{link}">Ole hyvä ja tunnistaudu uudelleen</a> jatkaaksesi.</p>'
    LOGIN_MESSAGE: '<p>Istuntosi on vanhentunut</p>'
    LOGIN_TITLE: 'Palaa takaisin kirjautumalla sisään'
    SUCCESS: Onnistui
    SUCCESSCONTENT: '<p>Kirjautuminen onnistui. Mikäli automaattinen edelleenohjaus ei toimi <a target="_top" href="{link}">klikkaa tästä</a></p>'
    SUCCESS_TITLE: 'Kirjautuminen onnistui'
  SilverStripe\Security\Confirmation\Form:
    REFUSE: Peruuta
  SilverStripe\Security\DefaultAdminService:
    DefaultAdminFirstname: Oletusylläpitäjä
  SilverStripe\Security\Group:
    AddRole: 'Lisää ryhmälle rooli'
    Code: 'Ryhmän koodi'
    DefaultGroupTitleAdministrators: Järjestelmänvalvojat
    DefaultGroupTitleContentAuthors: Sisällöntuottajat
    Description: Kuvaus
    GROUPNAME: 'Ryhmän nimi'
    GroupReminder: 'Valitessasi isäntäryhmän roolit periytyvät tähän ryhmään'
    HierarchyPermsError: 'Isäntäryhmään ei voitu asettaa "{group}" annettuja oikeuksia (vaaditaan JÄRJESTELMÄNVALVOJAN oikeudet)'
    Locked: 'Lukittu?'
    MEMBERS: Jäsenet
    NEWGROUP: 'Uusi ryhmä'
    NoRoles: 'Rooleja ei löytynyt'
    PERMISSIONS: Oikeudet
    PLURALNAME: Ryhmät
    PLURALS:
      one: Ryhmä
      other: '{count} Ryhmää'
    Parent: Isäntäryhmä
    ROLES: Roolit
    ROLESDESCRIPTION: 'Tässä osiossa voit lisätä rooleja tähän ryhmään.<br />Roolit ovat käyttöoikeuksien loogisia ryhmittymiä, joita voidaan muokata Roolit-välilehdellä.'
    RolesAddEditLink: 'Lisää/muokkaa rooleja'
    SINGULARNAME: Ryhmä
    Sort: Järjestys
    db_Description: Kuvaus
    db_Sort: Järjestä
    db_Title: Otsikko
    has_many_Groups: Ryhmät
    has_many_Permissions: Oikeudet
    has_one_Parent: Isäntä
    many_many_Members: Jäsenet
    many_many_Roles: Roolit
    many_many_Subsites: Alasivut
  SilverStripe\Security\LoginAttempt:
    Email: Sähköpostiosoite
    EmailHashed: 'Sähköpostiosoite (tiivistetty)'
    IP: IP-osoite
    PLURALNAME: Kirjautumisyritykset
    PLURALS:
      one: Kirjautumisyritys
      other: '{count} Kirjautumisyritystä'
    SINGULARNAME: Kirjautumisyritys
    Status: Tila
    db_Status: Tila
    has_one_Member: Käyttäjä
  SilverStripe\Security\Member:
    ADDGROUP: 'Lisää ryhmä'
    BUTTONCHANGEPASSWORD: 'Vaihda salasana'
    BUTTONLOGIN: 'Kirjaudu sisään'
    BUTTONLOGINOTHER: 'Kirjaudu jonain muuna'
    BUTTONLOGOUT: 'Kirjaudu ulos'
    BUTTONLOSTPASSWORD: 'Kadotin salasanani'
    CONFIRMNEWPASSWORD: 'Syötä uusi salasana uudelleen'
    CONFIRMPASSWORD: 'Syötä salasana uudelleen'
    CURRENT_PASSWORD: 'Nykyinen salasana'
    EDIT_PASSWORD: 'Uusi salasana'
    EMAIL: Sähköposti
    EMPTYNEWPASSWORD: 'Uusi salasana ei voi olla tyhjä, yritä uudelleen'
    ENTEREMAIL: 'Anna sähköpostiosoitteesi saadaksesi salasanan uudelleenasettamislinkin.'
    ERRORLOCKEDOUT2: 'Tilisi käyttö on evätty hetkeksi liian useiden kirjautumisyritysten takia. Ole hyvä ja kokeile uudelleen {count} minuutin kuluttua.'
    ERRORNEWPASSWORD: 'Syötit uuden salasanasi erilailla, yritä uudelleen.'
    ERRORPASSWORDNOTMATCH: 'Nykyiset salasanasi eivät täsmää, yritä uudelleen.'
    ERRORWRONGCRED: 'Antamasi tiedot eivät näytä oikeilta. Yritä uudelleen.'
    FIRSTNAME: Etunimi
    INTERFACELANG: 'Käyttöliittymän kieli'
    LOGGEDINAS: 'Olet kirjautuneena nimellä {name}.'
    NEWPASSWORD: 'Uusi salasana'
    PASSWORD: Salasana
    PASSWORDEXPIRED: 'Salasanasi on vanhentunut. Ole hyvä ja valitse uusi.'
    PLURALNAME: Käyttäjät
    PLURALS:
      one: Käyttäjä
      other: '{count} Käyttäjää'
    SINGULARNAME: Käyttäjä
    SUBJECTPASSWORDCHANGED: 'Salasanasi on vaihdettu'
    SUBJECTPASSWORDRESET: 'Salasanasi palautuslinkki'
    SURNAME: Sukunimi
    VALIDATIONADMINLOSTACCESS: 'Ylläpitäjäryhmää ei voi poistaa profiilistasi'
    VALIDATIONMEMBEREXISTS: 'Rekisteröityneellä käyttäjällä on jo käytössä tämä {identifier}.'
    ValidationIdentifierFailed: 'Olemassa olevan käyttäjän id:n #{id} päälle ei voida kirjoittaa samalla tunnisteella ({name} = {value}))'
    YOUROLDPASSWORD: 'Vanha salasanasi'
    belongs_many_many_Groups: Ryhmät
    db_Email: Sähköposti
    db_FirstName: Etunimi
    db_Locale: 'Käyttöliittymän kieli'
    db_LockedOutUntil: 'Lukittuna tähän asti:'
    db_Password: Salasana
    db_PasswordExpiry: 'Salasanan viimeinen päivämäärä'
    db_Surname: Sukunimi
    db_URLSegment: 'URL-osoitteen osio'
  SilverStripe\Security\MemberAuthenticator\CMSMemberLoginForm:
    AUTHENTICATORNAME: 'CMS-järjestelmän käyttäjän kirjautuminen'
    BUTTONFORGOTPASSWORD: 'Unohdin salasanan'
    BUTTONLOGIN: 'Päästä takaisin sisään'
    BUTTONLOGOUT: 'Kirjaudu ulos'
  SilverStripe\Security\MemberAuthenticator\MemberAuthenticator:
    ERRORWRONGCRED: 'Antamasi tiedot eivät näytä oikeilta. Yritä uudelleen.'
    NoPassword: 'Tällä käyttäjällä ei ole salasanaa'
  SilverStripe\Security\MemberAuthenticator\MemberLoginForm:
    AUTHENTICATORNAME: 'Sähköpostiosoite & salasana'
  SilverStripe\Security\MemberPassword:
    PLURALNAME: 'Käyttäjän salasanat'
    PLURALS:
      one: 'Käyttäjän salasana'
      other: '{count} Käyttäjän salasanaa'
    SINGULARNAME: 'Käyttäjän salasana'
    db_Password: Salasana
    has_one_Member: Käyttäjä
  SilverStripe\Security\PasswordValidator:
    LOWCHARSTRENGTH: 'Ole hyvä ja tee monimutkaisempi salasana lisäämällä joitakin seuraavista merkeistä: {chars}'
    PREVPASSWORD: 'Olet jo käyttänyt tätä salasanaa aikaisemmin, ole hyvä ja valitse uusi'
    TOOSHORT: 'Salasanan on oltava vähintään {minimum} merkkiä'
  SilverStripe\Security\Permission:
    AdminGroup: Järjestelmänvalvoja
    CMS_ACCESS_CATEGORY: CMS-pääsy
    CONTENT_CATEGORY: 'Sisällön käyttöoikeudet'
    FULLADMINRIGHTS: 'Täydet ylläpitäjän oikeudet'
    FULLADMINRIGHTS_HELP: 'Merkitsee ja ohittaa kaikki muut määritellyt käyttöoikeudet.'
    PERMISSIONS_CATEGORY: 'Roolit ja käyttöoikeudet'
    PLURALNAME: Oikeudet
    PLURALS:
      one: Oikeus
      other: '{count} Oikeutta'
    SINGULARNAME: Oikeus
    UserPermissionsIntro: 'Määriteltäessä käyttäjälle ryhmä, hänen käyttöoikeutensa mukautuvat ryhmälle tehtyjen asetusten mukaisesti. Katso tarkemmat ryhmäkohtaiset käyttöoikeusasetukset Ryhmät-välilehdeltä.'
    db_Type: Tyyppi
    has_one_Group: Ryhmä
  SilverStripe\Security\PermissionCheckboxSetField:
    AssignedTo: 'valittiin "{title}"'
    FromGroup: 'periytyivät ryhmästä "{title}"'
    FromRole: 'periytyivät roolista "{title}"'
    FromRoleOnGroup: 'periytynyt roolista "{roletitle}" ryhmässä "{grouptitle}"'
  SilverStripe\Security\PermissionRole:
    OnlyAdminCanApply: 'Vain järjestelmänvalvojalla on oikeudet asettaa'
    PLURALNAME: Roolit
    PLURALS:
      one: Rooli
      other: '{count} Roolia'
    SINGULARNAME: Rooli
    Title: 'Roolin nimi'
    belongs_many_many_Groups: Ryhmät
    db_OnlyAdminCanApply: 'Vain järjestelmänvalvojalla on oikeudet asettaa'
    db_Title: Otsikko
  SilverStripe\Security\PermissionRoleCode:
    PLURALNAME: 'Käyttöoikeuden roolin koodit'
    PLURALS:
      one: 'Käyttöoikeuden roolin koodi'
      other: '{count} Käyttöoikeuksien roolien koodit'
    PermsError: 'Ei voida asettaa koodia "{code}" annetuilla oikeuksilla (vaaditaan JÄRJESTELMÄNVALVOJAN oikeudet)'
    SINGULARNAME: 'Käyttöoikeuden roolin koodi'
    has_one_Role: Rooli
  SilverStripe\Security\RememberLoginHash:
    PLURALNAME: Kirjautumistarkisteet
    PLURALS:
      one: 'Kirjautumisen tarkiste'
      other: '{count} Kirjautumisen takistetta'
    SINGULARNAME: Kirjautumistarkiste
    has_one_Member: Käyttäjä
  SilverStripe\Security\Security:
    ALREADYLOGGEDIN: 'Sinulla ei ole oikeuksia tälle sivulle. Jos sinulla on toinen tili, jolla on oikeudet tälle sivulle, voit kirjautua sillä sisään.'
    BUTTONSEND: 'Lähetä minulle salasanan palautuslinkki'
    CHANGEPASSWORDBELOW: 'Voit vaihtaa salasanasi alla.'
    CHANGEPASSWORDHEADER: 'Vaihda salasanasi'
    CONFIRMLOGOUT: 'Ole hyvä ja klikkaa nappulaa uloskirjautumisen vahvistamiseksi.'
    ENTERNEWPASSWORD: 'Syötä uusi salasanasi'
    ERRORPASSWORDPERMISSION: 'Sinun täytyy olla kirjautuneena sisään jotta voit vaihtaa salasanasi.'
    LOGIN: 'Kirjaudu sisään'
    LOGOUT: 'Kirjaudu ulos'
    LOSTPASSWORDHEADER: 'Unohtunut salasana'
    NOTEPAGESECURED: 'Tämä sivu on suojattu. Syötä tunnistetietosi alle niin pääset eteenpäin.'
    NOTERESETLINKINVALID: '<p>Salasanan palautuslinkki on virheellinen tai vanhentunut.</p><p>Voit pyytää uuden <a href="{link1}">napsauttamalla tästä</a> tai vaihtaa salasanasi <a href="{link2}">kirjautumisen jälkeen</a>.</p>'
    NOTERESETPASSWORD: 'Syötä sähköpostiosoitteesi ja lähetämme sinulle linkin, jonka avulla saat palautettua salasanasi'
    PASSWORDRESETSENTHEADER: 'Salasanan palautuslinkki lähetetty'
    PASSWORDRESETSENTTEXT: 'Kiitos, palautuslinkki on lähetetty käyttäjätilille asetettuun sähköpostiosoitteeseen.'
  SilverStripe\Security\Validation\PasswordValidator:
    PREVPASSWORD: 'Olet jo käyttänyt tätä salasanaa aikaisemmin, ole hyvä ja valitse uusi'
  SilverStripe\Security\Validation\RulesPasswordValidator:
    LOWCHARSTRENGTH: 'Ole hyvä ja tee monimutkaisempi salasana lisäämällä joitakin seuraavista merkeistä: {chars}'
    TOOSHORT: 'Salasanan on oltava vähintään {minimum} merkkiä'
